/*
 * This work is licensed under a Creative Commons 
 * Attribution-Noncommercial-Share Alike 3.0 United States License.
 * 
 *    http://creativecommons.org/licenses/by-nc-sa/3.0/us/
 * 
 * You are free:
 * 
 *    to Share - to copy, distribute, display, and perform the work
 *    to Remix - to make derivative works
 * 
 * Under the following conditions:
 * 
 *    Attribution. You must attribute the work in the manner specified by the
 *    author or licensor (but not in any way that suggests that they endorse you
 *    or your use of the work).
 * 
 *    Noncommercial. You may not use this work for commercial purposes.
 * 
 *    Share Alike. If you alter, transform, or build upon this work, you may
 *    distribute the resulting work only under the same or similar license to
 *    this one.
 * 
 * For any reuse or distribution, you must make clear to others the license
 * terms of this work. The best way to do this is by including this header.
 * 
 * Any of the above conditions can be waived if you get permission from the
 * copyright holder.
 * 
 * Apart from the remix rights granted under this license, nothing in this
 * license impairs or restricts the author's moral rights.
 */


/**
 * @file
 *
 * @author Joseph Schlecht
 *
 * @cclicense
 *
 * @brief Wrapper functions and macros for the libxml2 interface.
 */


#ifndef XML_H
#define XML_H


/** @brief Hack around libxml2 interface. */
#define   XMLNewChild(parent,name,content)  \
          xmlNewChild(parent, NULL, (xmlChar*)name, (xmlChar*)content)


/** @brief Hack around libxml2 interface. */
#define   XMLNewProp(node,name,value) \
          xmlNewProp(node, (xmlChar*)name, (xmlChar*)value)


/** @brief Hack around libxml2 interface. */
#define   XMLCreateIntSubset(doc,name,extid,sysid) \
          xmlCreateIntSubset(doc, (xmlChar*)name, (xmlChar*)extid, \
                  (xmlChar*)sysid)


/** @brief Hack around libxml2 interface. */
#define   XMLNewNode(name)  xmlNewNode(NULL, (xmlChar*)name)


/** @brief Hack around libxml2 interface. */
#define   XMLStrEqual(str1,str2) \
          xmlStrEqual((const xmlChar*)str1, (const xmlChar*)str2)

#endif
